Bug 1177883 - (CVE-2020-25647) VUL-0: CVE-2020-25647: grub2: out-of-bound write in grub_usb_device_initialize()
(CVE-2020-25647)
VUL-0: CVE-2020-25647: grub2: out-of-bound write in grub_usb_device_initialize()
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Michael Chang
Security Team bot
https://smash.suse.de/issue/269609/
CVSSv3.1:SUSE:CVE-2020-25647:7.6:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-19 12:10 UTC by Marcus Meissner
Modified: 2021-09-23 18:47 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 Marcus Meissner 2021-01-04 08:00:43 UTC
embargo end was shifted to MARCH

CRD: 2021-03-02
Comment 4 Marcus Meissner 2021-02-15 13:42:09 UTC
CRD: 2021-03-02 18:00UTC
Comment 11 Marcus Meissner 2021-03-02 18:01:28 UTC
issue is public now
Comment 12 Swamp Workflow Management 2021-03-02 23:17:01 UTC
SUSE-SU-2021:0685-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    grub2-2.02-19.66.1
SUSE Linux Enterprise Server 15-LTSS (src):    grub2-2.02-19.66.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    grub2-2.02-19.66.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    grub2-2.02-19.66.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-03-02 23:23:13 UTC
SUSE-SU-2021:0681-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    grub2-2.02-12.47.1
SUSE OpenStack Cloud 9 (src):    grub2-2.02-12.47.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    grub2-2.02-12.47.1
SUSE Linux Enterprise Server 12-SP5 (src):    grub2-2.02-12.47.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    grub2-2.02-12.47.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2021-03-02 23:25:02 UTC
SUSE-SU-2021:0683-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    grub2-2.04-9.34.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    grub2-2.04-9.34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2021-03-02 23:28:06 UTC
SUSE-SU-2021:0682-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    grub2-2.02-4.69.1
SUSE OpenStack Cloud 8 (src):    grub2-2.02-4.69.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    grub2-2.02-4.69.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    grub2-2.02-4.69.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    grub2-2.02-4.69.1
HPE Helion Openstack 8 (src):    grub2-2.02-4.69.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-03-02 23:29:59 UTC
SUSE-SU-2021:0679-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    grub2-2.02-115.59.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    grub2-2.02-115.59.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    grub2-2.02-115.59.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    grub2-2.02-115.59.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2021-03-02 23:31:45 UTC
SUSE-SU-2021:14659-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2017-9763,CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    grub2-2.02-0.66.26.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    grub2-2.02-0.66.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2021-03-02 23:33:34 UTC
SUSE-SU-2021:0684-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    grub2-2.02-26.43.1
SUSE Manager Retail Branch Server 4.0 (src):    grub2-2.02-26.43.1
SUSE Manager Proxy 4.0 (src):    grub2-2.02-26.43.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    grub2-2.02-26.43.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    grub2-2.02-26.43.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    grub2-2.02-26.43.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    grub2-2.02-26.43.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    grub2-2.02-26.43.1
SUSE Enterprise Storage 6 (src):    grub2-2.02-26.43.1
SUSE CaaS Platform 4.0 (src):    grub2-2.02-26.43.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2021-03-22 14:18:27 UTC
openSUSE-SU-2021:0462-1: An update that solves 7 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1175970,1176711,1177883,1179264,1179265,1182057,1182262,1182263,1183073
CVE References: CVE-2020-14372,CVE-2020-25632,CVE-2020-25647,CVE-2020-27749,CVE-2020-27779,CVE-2021-20225,CVE-2021-20233
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    grub2-2.04-lp152.7.22.7
Comment 21 Marcus Meissner 2021-09-07 12:45:14 UTC
done